import { defineComponent, computed, unref, openBlock, createElementBlock, createElementVNode, toDisplayString, createCommentVNode } from "vue";
import { n as _export_sfc } from "./index2.js";
import "vant";
import "@wltech/svg";
import "dayjs";
import "qs";
import "vuedraggable";
import "vue-router";
var index_vue_vue_type_style_index_0_scoped_true_lang = "";
const _hoisted_1 = {
  key: 0,
  class: "card-tags a-row"
};
const _hoisted_2 = { class: "tag-item a-row" };
const _hoisted_3 = {
  key: 0,
  class: "fs0"
};
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: {
    data: { default: () => {
      return [];
    } },
    listItem: { default: () => {
      return {};
    } }
  },
  setup(__props) {
    const props = __props;
    const tagList = computed(() => {
      var _a;
      return (_a = props.data) == null ? void 0 : _a.flatMap((group) => {
        var _a2;
        return (_a2 = group.tag_info) == null ? void 0 : _a2.map((tag) => ({
          ...tag,
          group_name: group.group_name
        }));
      });
    });
    return (_ctx, _cache) => {
      var _a;
      return ((_a = unref(tagList)) == null ? void 0 : _a.length) ? (openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("span", _hoisted_2, toDisplayString(unref(tagList)[0].group_name) + "\uFF1A" + toDisplayString(unref(tagList)[0].tag_name), 1),
        unref(tagList).length > 1 ? (openBlock(), createElementBlock("span", _hoisted_3, toDisplayString(`\u5171${unref(tagList).length}\u4E2A`), 1)) : createCommentVNode("", true)
      ])) : createCommentVNode("", true);
    };
  }
});
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-201f7a0c"]]);
export { index as default };
